# Uses of Class
org.opensaml.soap.client.security.SOAPClientSecurityContext

Packages that use SOAPClientSecurityContext
Package
Description
org.opensaml.soap.client.security
Classes related to SOAP client security.

## Uses of SOAPClientSecurityContext in org.opensaml.soap.client.security

Fields in org.opensaml.soap.client.security with type parameters of type SOAPClientSecurityContext
Modifier and Type
Field
Description
`private Function<MessageContext,SOAPClientSecurityContext>`
SOAPClientSecurityProfileIdLookupFunction.`soapContextLookup`
Lookup function for `SOAPClientSecurityContext`.
Method parameters in org.opensaml.soap.client.security with type arguments of type SOAPClientSecurityContext
Modifier and Type
Method
Description
`void`
SOAPClientSecurityProfileIdLookupFunction.`setSOAPClientSecurityContextLookup(Function<MessageContext,SOAPClientSecurityContext> lookup)`
Set lookup function for for `SOAPClientSecurityContext`.